/*grand*/
@media screen and (min-width: 819px) {
    .main-header {
        width: 100%;
        height: 105px;
    }
    
    /* info menu ( titre et langue )*/
    .info-header {
        display: flex;
        text-align: center;
    }

    .title-header {
        margin-left: 50%;
    }

    .container-lang {
        position: absolute;
        right: 0;
        z-index: 11;
        background-color: gray;
        border: 2px solid black;
        border-radius: 20px;
        margin: 5px;
    }

    /*choix de la langue*/
    .img-choice{
        width: 45px;
        height: 31px;
        border: 2px solid black;
        cursor: pointer;
    }

    .img-main-l {
        width: 45px;
        height: 31px;
        border: 2px solid black;
        cursor: pointer;
        margin: 18px;
        margin-top: 21px;
    }

    .choice {
        border: none;
        padding-bottom: 16px;
        padding-left: 16px;
        padding-right: 16px;
    }

    /*bouton en version mobile*/
    .button-menu-header {
        display: none;
    }

    .logo-header {
        width: 90px;
        height: 90px;
        margin: 20px;
    }

    /*liste des bouton du menu*/
    .menu-header {
        display: flex;
        flex-direction: column;
        position: relative;
        top: 0;
        height: 65%;
    }

    .list-header {
        display: inline-block;
        color: white;
        text-align: center;
        border-top-left-radius: 20px;
        border-top-right-radius: 20px;
        position: absolute;
        bottom: 0px;
        margin: 0;
        line-height: 27px;
    }

    .list-header div:hover {
        background-color: rgb(255, 255, 255);
    }

    .list-header div {
        padding-top: 14px;
        padding-bottom: 14px;
        border-top-left-radius: 20px;
        border-top-right-radius: 20px;
    }

    /*boutton du menu*/
    a {
        margin: 4px 2px;
        padding: 14px 16px;
    }

    #divone-this {
        border-top-left-radius: 20px;
        border-top-right-radius: 20px;
        color: black;
        background-color: white;
    }

    #divtwo-this {
        border-top-left-radius: 20px;
        border-top-right-radius: 20px;
        color: black;
        background-color: white;
    }

    #divthree-this {
        border-top-left-radius: 20px;
        border-top-right-radius: 20px;
        color: black;
        background-color: white;
    }

    #divfour-this {
        border-top-left-radius: 20px;
        border-top-right-radius: 20px;
        color: black;
        background-color: white;
    }

    #divfive-this {
        border-top-left-radius: 20px;
        border-top-right-radius: 20px;
        color: black;
        background-color: white;
    }
}

/*petit*/
@media screen and (min-width: 1060px) {
    .container-lang {
        position: absolute;
        right: 5%;
        z-index: 11;
        background-color: gray;
        border: 2px solid black;
    }

    .list-header {
        margin-left: 5%;
    }
}

/*petit*/
@media screen and (max-width: 818px) {
    .main-header {
        display: flex;
        min-height: 75px;
    }

    /* info menu ( titre et langue )*/
    .info-header {
        display: flex;
    }

    .title-header {
        margin-bottom: 30px;
        margin-left: 20px;
    }

    .container-lang {
        position: absolute;
        right: 80px;
        z-index: 11;
        background-color: gray;
        border-top-left-radius: 20px;
        border-top-right-radius: 20px;
        border: 2px solid black;
        border-bottom: none;
        margin-top: 7px;
    }

    #check02:checked~.container-lang {
        border-bottom: 2px solid black;
    }

    /*choix de la langue*/
    .img-choice{
        width: 45px;
        height: 31px;
        cursor: pointer;
    }
    
    .img-main-l {
        width: 45px;
        height: 31px;
        cursor: pointer;
        padding: 16px;
        padding-top: 20px;
    }

    .choice {
        border: none;
        background: none;
        padding-bottom: 15px;
        padding-left: 16px;
        padding-right: 16px;
        border-bottom: 2px solid black;
    }

    /*bouton en version mobile*/
    .button-menu-header {
        position: absolute;
        right: 0;
    }

    .logo-header {
        width: 40px;
        height: 40px;
        margin: 20px;
        cursor: pointer;
    }

    /*liste des bouton du menu*/
    .test {
        display: none;
        padding: 0px;
        margin-top: 79px;
        width: inherit;
        z-index: 10;
        background-color: rgb(194, 67, 67);
    }

    #check01:checked~.test {
        display: block;
        position: relative;
        top: 0px;
        left: 0;
    }

    .menu-header {
        position: absolute;
        right: 0;
        width: 100%;
    }

    #check01:checked~.button-menu-header {
        position: static;
        position: absolute;
        right: 0;
    }

    .list-header {
        margin-top: 0;
    }

    /*boutton du menu*/
    a {
        padding: 14px 30%;
    }

    .button {
        width: 100%;
        padding: 14px 16px;
    }

    #divone-this {
        color: black;
        background-color: white;
    }

    #divtwo-this {
        color: black;
        background-color: white;
        color: white;
    }

    #divthree-this {
        color: black;
        background-color: white;
    }

    #divfour-this {
        color: black;
        background-color: white;
    }

    #divfive-this {
        color: black;
        background-color: white;
    }
}

.container-header {
    display: flex;
    background-color: rgb(194, 67, 67);
}

.title-header {
    text-align: center;
    margin-top: 30px;
}

.list-header {
    padding: 0px;
}

/*choix de la langue*/
#check02:checked~.container-choice {
    display: block;
    position: relative;
    top: 0px;
    left: 0;
    text-align: center;
}

.container-choice {
    display: none;
}

.choice {
    background: none;
    padding-bottom: 15px;
}

/*général*/
ul div {
    display: inline-block;
}

a {
    text-decoration: none;
    color: rgb(0, 0, 0);
    cursor: pointer;
}

button:hover {
    cursor: pointer;
}

input {
    display: none;
}
